#### Previous topic

scipy.special.eval_jacobi

#### Next topic

scipy.special.eval_genlaguerre

# scipy.special.eval_laguerre

`scipy.special.``eval_laguerre`(n, x, out=None) = <ufunc 'eval_laguerre'>

  Evaluate Laguerre polynomial at a point.

  The Laguerre polynomials can be defined via the confluent hypergeometric function \({}_1F_1\) as

  \[L_n(x) = {}_1F_1(-n, 1, x).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\).

  Parameters:

  n : array_like

  > Degree of the polynomial. If not an integer the result is determined via the relation to the confluent hypergeometric function.

  x : array_like

  > Points at which to evaluate the Laguerre polynomial

  Returns:

  L : ndarray

  > Values of the Laguerre polynomial

  See also

  `roots_laguerre`
    roots and quadrature weights of Laguerre polynomials
  `laguerre`
    Laguerre polynomial object
  `numpy.polynomial.laguerre.Laguerre`
    Laguerre series
  `eval_genlaguerre`
    evaluate generalized Laguerre polynomials